<?php

namespace Blazemedia\Affiliation\Rendering;

class BrandedContent extends RenderingTemplate {

    public function __construct() {

        parent::__construct( 'branded_content', 'brandedcontent' );
    }

    public function manageFormat( $atts, $content, $tag ) : string {

        $this->extra = [
            'program_code' => $atts['program_code'],
            'po_number' => $atts['po_number'],
            'link' => urlencode($atts['link']),
        ];
        
        /// se è presente un formato attiva la stampa del disclaimer
        $this->disclaimer->setStatus( true );

        // $markup = $this->getMetaMarkup( $tag, $atts, )

        return $this->manageLink( $atts, $content, $tag );
        //return $this->getFormatMarkup( $atts, $content, $tag );

    }

}


